Bug 115875 - mail/libetpan 0.52 fails on 6.2-stable i386 when built WITH_GNUTLS=yes
Summary: mail/libetpan 0.52 fails on 6.2-stable i386 when built WITH_GNUTLS=yes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-27 18:00 UTC by bf
Modified: 2007-10-01 21:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bf 2007-08-27 18:00:03 UTC
When built WITH_GNUTLS=yes, the build fails. Build transcripts available on request. Related software installed on my system are:  gnutls-1.6.3,  openssl-0.9.8e_1, and libiconv-1.9.2_2 from the ports system.  Adding CPPFLAGS="${CPPFLAGS} ${LOCALBASE}/include" to the CONFIGURE_ENV resolves two problems with the configure script, but doesn't fix the build.

A relevant portion of the build log:

 cc -DHAVE_CONFIG_H -I. -I. -I../../.. -I../../../include -I../../../src/data-types -I../../../src/low-level/imf -D_REENTRANT -I/usr/local/in
clude -O2 -fno-strict-aliasing -pipe -march=athlon-tbird -I/usr/local/include -W -Wall -MT parser.lo -MD -MP -MF .deps/parser.Tpo -c parser.c
  -fPIC -DPIC -o .libs/parser.o
parser.c:189: error: syntax error before "cd"
parser.c: In function `iconv_utf32_char':
parser.c:233: error: `LEP_ICONV_FAIL' undeclared (first use in this function)
parser.c:233: error: (Each undeclared identifier is reported only once
parser.c:233: error: for each function it appears in.)
parser.c: In function `setup_unknown_encoding':
parser.c:240: error: syntax error before "cd"
parser.c:246: error: `cd' undeclared (first use in this function)
parser.c:246: warning: implicit declaration of function `iconv_open'
parser.c:247: error: `iconv_t' undeclared (first use in this function)
parser.c:294: warning: implicit declaration of function `iconv_close'
parser.c: At top level:
parser.c:301: error: syntax error before "iconv_t"
parser.c: In function `unknown_encoding_convert':
parser.c:317: error: structure has no member named `cd'
parser.c: In function `unknown_encoding_data_free':
parser.c:333: error: structure has no member named `cd'
parser.c: In function `unknown_encoding_handler':
parser.c:340: error: syntax error before "cd"
parser.c:352: error: `cd' undeclared (first use in this function)
parser.c:353: error: `iconv_t' undeclared (first use in this function)
parser.c:365: error: structure has no member named `cd'
parser.c: At top level:
parser.c:337: warning: unused parameter 'encdata'
parser.c:135: warning: unused parameter 'el'
gmake[7]: *** [parser.lo] Error 1
gmake[7]: Leaving directory `/usr/tmp/usr/ports/mail/libetpan/work/libetpan-0.52/src/low-level/feed'
gmake[6]: *** [all] Error 2
gmake[6]: Leaving directory `/usr/tmp/usr/ports/mail/libetpan/work/libetpan-0.52/src/low-level/feed'
gmake[5]: *** [all-recursive] Error 1
gmake[5]: Leaving directory `/usr/tmp/usr/ports/mail/libetpan/work/libetpan-0.52/src/low-level'
gmake[4]: *** [all] Error 2
gmake[4]: Leaving directory `/usr/tmp/usr/ports/mail/libetpan/work/libetpan-0.52/src/low-level'
gmake[3]: *** [all-recursive] Error 1
gmake[3]: Leaving directory `/usr/tmp/usr/ports/mail/libetpan/work/libetpan-0.52/src'
gmake[2]: *** [all] Error 2
gmake[2]: Leaving directory `/usr/tmp/usr/ports/mail/libetpan/work/libetpan-0.52/src'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/tmp/usr/ports/mail/libetpan/work/libetpan-0.52'
gmake: *** [all] Error 2
*** Error code 2

Stop in /usr/ports/mail/libetpan.
Comment 1 Edwin Groothuis freebsd_committer 2007-08-27 22:42:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Pawel Pekala 2007-08-28 19:25:26 UTC
This should fix it:

diff -u /usr/ports/mail/libetpan/Makefile libetpan/Makefile
--- /usr/ports/mail/libetpan/Makefile	Sat Aug 25 12:46:14 2007
+++ libetpan/Makefile	Tue Aug 28 20:13:57 2007
@@ -8,6 +8,7 @@
 
 PORTNAME=	libetpan
 PORTVERSION=	0.52
+PORTREVISION=	1
 CATEGORIES=	mail
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -15,6 +16,10 @@
 MAINTAINER=	c0rn@o2.pl
 COMMENT=	A mail library
 
+LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl \
+		expat:${PORTSDIR}/textproc/expat2 \
+		sasl2.2:${PORTSDIR}/security/cyrus-sasl2
+
 USE_ICONV=	yes
 USE_AUTOTOOLS=	libtool:15 autoconf:261
 USE_LDCONFIG=	yes
@@ -23,18 +28,14 @@
 CFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
 LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
 
+CONFIGURE_ENV=	CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
+
 .if defined(WITH_GNUTLS)
 LIB_DEPENDS+=	gnutls.13:${PORTSDIR}/security/gnutls
-CONFIGURE_ARGS+=	--with-gnutls
+CONFIGURE_ARGS+=	--without-openssl --with-gnutls
 .else
 USE_OPENSSL=	yes
 CONFIGURE_ARGS+=	--without-gnutls
-.endif
-
-.if defined(WITH_SASL)
-LIB_DEPENDS+=	sasl2.2:${PORTSDIR}/security/cyrus-sasl2
-.else
-CONFIGURE_ARGS+=	--without-sasl
 .endif
 
 post-install:
Comment 3 Stefan Walter freebsd_committer 2007-09-30 13:41:09 UTC
Hi Pawel,

the patch you submitted seems to do more than fix the described problem.
Are unconditional dependencies to curl, expat2 and cyrus-sasl2 related to
the problem or was there another reason why you added them?

Best regards,
Stefan
Comment 4 Pawel Pekala 2007-10-01 18:44:10 UTC
>
>the patch you submitted seems to do more than fix the described
>problem. Are unconditional dependencies to curl, expat2 and
>cyrus-sasl2 related to the problem or was there another reason why you
>added them?

 After reviewing this port upon this bug I decided that those
dependencies will be useful, curl, expat is needed for RSS support and
cyrus-sasl2 for authentication. So yes, this patch fixes described
problem and adds some additional improvements. 
  If you are not ok with it please tell me and I will open another PR
with only those improvements.
Comment 5 Stefan Walter freebsd_committer 2007-10-01 21:34:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 6 Stefan Walter freebsd_committer 2007-10-01 21:37:46 UTC
State Changed
From-To: feedback->closed

A fix has been committed, thanks for your report!
Comment 7 dfilter service freebsd_committer 2007-10-01 21:37:48 UTC
stefan      2007-10-01 20:37:42 UTC

  FreeBSD ports repository

  Modified files:
    mail/libetpan        Makefile 
  Log:
  - Fix build WITH_GNUTLS=yes.
  - Unconditionally depend on curl, expat2 and cyrus-sasl2.
  
  PR:             115875
  Submitted by:   bf <bf2006a@yahoo.com>
  Patch by:       maintainer
  
  Revision  Changes    Path
  1.45      +8 -7      ports/mail/libetpan/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"